phpsecとzendフレームワーク2を統合する必要がありますか? - php、security、zend-framework、zend-framework2

私はZend Framework 2に基づいてWebアプリケーションを作成しています。

今私は見つけた http://phpsec.owasp.org/ 私はZend Framework 2をphpsec(Zend Framework 2のセキュリティを強化するため)に統合する必要があるのか​​、Zend Frameworkが既にphpsec(または類似のもの)を使用しているのか疑問に思っています。

回答:

回答№1は0

あなたが尋ねたことは、もっと主観的なことです質問。私の意見では、ZFが既に持っているものの上にセキュリティ層を追加する必要はありません。そして、それは多くのフレームワークの場合です - 私たちはそれらにいくつかの基本的な機能が組み込まれているので(複雑さのレベルは様々です)、セキュリティもその一つです。すでに存在しないカスタムコードベースの上にセキュリティレイヤーを追加する場合は、phpsecのようなものが必要です。 phpsecはセキュリティ機能の分離されたセットなので、ZFとphpsecにあるものを比較し、ZFで欠けているものを追加することができます。

また、これらはZFのセキュリティを理解し、活用するための2つの優れた記事です。 IBM - ZFでWebセキュリティを向上させる もう1つは ZFのZend - Building Security


関連する質問
メニュー
最も人気のある